#
# spec file for package ktouch
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ktouch
Version:        16.11.80
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 16.08 in KA, but 16.11.80 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Touch Typing Tutor
License:        GPL-2.0+
Group:          Amusements/Teaching/Other
Url:            http://edu.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  kcmutils-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  kdoctools-devel
BuildRequires:  ki18n-devel
BuildRequires:  kio-devel
BuildRequires:  kitemviews-devel
BuildRequires:  knewstuff-devel
BuildRequires:  ktexteditor-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  xz
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5QuickWidgets)
BuildRequires:  cmake(Qt5Script)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  cmake(Qt5XmlPatterns)
BuildRequires:  pkgconfig(xkbfile)
# Runtime dep
Requires:       kqtquickcharts
Provides:       kde4-ktouch = 4.3.0
Obsoletes:      kde4-ktouch < 4.3.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A KDE program that helps you to learn and practice touch typing.

%prep
%setup -q

%build
%ifarch ppc ppc64
export RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %suse_update_desktop_file org.kde.ktouch       X-KDE-Edu-Teaching

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* README.md
%doc %lang(en) %{_kf5_htmldir}/en/ktouch/
%{_kf5_applicationsdir}/org.kde.ktouch.desktop
%{_kf5_appsdir}/ktouch/
%{_kf5_bindir}/ktouch
%dir %{_kf5_configkcfgdir}
%{_kf5_configkcfgdir}/ktouch.kcfg
%dir %{_kf5_appstreamdir}
%{_kf5_appstreamdir}/org.kde.ktouch.appdata.xml
%{_kf5_iconsdir}/hicolor/*/apps/ktouch.*
%{_kf5_mandir}/man1/ktouch.1.gz

%changelog
